Share Gift Card

​

Enables a user to share a gift card with another user

Path Parameters

  • Unique ID of the gift card issued by and maintained in the Punchh system

Headers

  • The signature for the API call

  • Used to authorize the request with access_token. It should be supplied as Bearer ACCESS_TOKEN_GOES_HERE.

  • Advertises which content types the client is able to understand

  • Preferred language

  • Set this header to application/json.

  • Used to identify the software, device, and application initiating the request, providing information about the client to the server. For details, see User Agent.

Body

application/json
  • OAuth client ID provided by the business

  • Secondary authentication PIN that must be passed if it is enabled for a business. It can be turned on/off from the Punchh platform.

  • Email address of the user with whom the balance / gift card is being shared. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.

  • Facebook "uid" of the user with whom the balance/gift card is being shared. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.

  • Phone number of the user with whom the balance / gift card is being shared. At least one of the three (i.e., recipient_email, recipient_phone, and recipient_fb_uid) should be provided. If more than one are provided as parameters, the system will identify that user for whom all of the provided parameters match.

Responses

  • text/plain
  • application/json
  • application/json
Request Example for post/api2/mobile/gift_cards/{uuid}/share
curl 'https://SERVER_NAME_GOES_HERE.punchh.com/api2/mobile/gift_cards/{uuid}/share' \
  --request POST \
  --header 'x-pch-digest: {{$$.env.signature}}' \
  --header 'Authorization: Bearer ACCESS_TOKEN_GOES_HERE' \
  --header 'Accept: application/json' \
  --header 'Accept-Language: en' \
  --header 'Content-Type: application/json' \
  --header 'User-Agent: AppName/AppVersion/BuildNumber (OS; Model; MANUFACTURER; MODEL; OS Version)' \
  --data '{
  "recipient_email": "test@example.com",
  "recipient_phone": 1111111111,
  "recipient_fb_uid": "FB_UID_GOES_HERE",
  "passcode": "1234",
  "client": "CLIENT_GOES_HERE"
}'
[
  "Well done Amigo, you’re sharing our Cafe love by giving <user> access to your card. Well done."
]